Subject: Variable-length integer encoding for HTTP/2 frames

From: Lucas Pardue <[email-masked]>
Date: Mon, 4 Jun 2018 19:18:08 +0000

Hi,

I was thinking about some new extension frames, which would be defined in HTTP/2 and HTTP/QUIC. I saw a theoretical opportunity to reuse QUIC’s Variable-length integer encoding [1] for handling the optionality of some Frame field-types. QUIC (and HTTP/QUIC) frames already make heavy use of encoding, so I wondered how the concept of backporting the feature to HTTP/2 frame *payload* might fly. (Section 4.1 of RFC 7540 says that the structure and content of the frame payload is dependent entirely on the frame type).

Any thoughts that can be shared on implementation complexity?

Any opinions on if this is something that is desireable/undesirable for HTTP/2?

Kind regards
Lucas

[1] https://tools.ietf.org/html/draft-ietf-quic-transport-12#section-7.1

----------------------------

http://www.bbc.co.uk
This e-mail (and any attachments) is confidential and may contain personal views which are not the views of the BBC unless specifically stated.
If you have received it in error, please delete it from your system.
Do not use, copy or disclose the information in any way nor act in reliance on it and notify the sender immediately.
Please note that the BBC monitors e-mails sent or received.
Further communication will signify your consent to this.

---------------------